# SFRD_ChronTorpedo
import App
from Custom.Techs.PhasedTorpedoV1 import *

def Create(pTorp):
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(104.0 / 255.0, 200.0 / 255.0, 255.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 255.0 / 255.0, 1.000000)

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/SFRD_ChronTorpedoCore.tga",
					kCoreColor,
					0.2,
					9.0,
					"data/Textures/Tactical/SFRD_ChronTorpedoGlow.tga", 
					kGlowColor,
					4.0,
					0.3,
					0.4,
					"data/Textures/Tactical/SFRD_ChronTorpedoFlares.tga",
					kGlowColor,
					0,
					0.0,
					0.0)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.47)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(47)

def GetLaunchSound():
	return("SFRD_ChronTorpedo")

def GetPowerCost():
	return(30.0)

def GetName():
	return("Chronoitron")

def GetDamage():
	return 0.0001  ## Damage done to shields

def GetGuidanceLifetime():
	return 7.0

def GetMaxAngularAccel():
	return 0.2
