###############################################################################
#	SFRD_RFQuantumPulse
#
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Script for filling in the attributes of photon torpedoes.
#	
#	Created:	11/3/00 -	Erik Novales
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a SFRD_RFQuantumPulse
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################


def Create(pTorp):
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(104.0 / 255.0, 200.0 / 255.0, 255.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 255.0 / 255.0, 1.000000)

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/SFRD_RFQuantumPulseCore.tga",
					kCoreColor, 
					0.2,
					3.5,		 
					"data/Textures/Tactical/SFRD_RFQuantumPulseGlow.tga", 
					kGlowColor,
					7,	
					4.10,	 
					5.75,	
					"data/Textures/Tactical/SFRD_RFQuantumPulseFlares.tga",
					kGlowColor,						
					0,		
					0.1,		
					0.14)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(125.0)

def GetLaunchSound():
	return("SFRD_RFQuantumPulse")

def GetPowerCost():
	return(20.0)

def GetName():
	return("RFQs")

def GetDamage():
	return 1500.0

def GetGuidanceLifetime():
	return 4.0

def GetMaxAngularAccel():
	return 0.15
