###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a SFRD_photon torpedo2
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################


def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 128.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(255.0 / 255.0, 128.0 / 255.0, 0.0 / 255.0, 1.000000)	

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/SFRD_TMPTorpedo2Core.tga",
					kCoreColor, 
					0.2,
					6.0,	 
					"data/Textures/Tactical/SFRD_TMPTorpedo2Glow.tga", 
					kGlowColor,
					1.0,	
					0.5,	 
					0.6,	
					"data/Textures/Tactical/SFRD_TMPTorpedo2Flares.tga",
					kGlowColor,						
					12,		
					0.4,		
					0.1)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(25.0)

def GetLaunchSound():
	return("SFRD_TMPTorpedo2")

def GetPowerCost():
	return(20.0)

def GetName():
	return("TMP Photon2")

def GetDamage():
	return 450.0

def GetGuidanceLifetime():
	return 4.0

def GetMaxAngularAccel():
	return 0.15
