###############################################################################
#	SFRD_TosPulse1
#	
#	Script for filling in the attributes of disruptor blasts.
#	
#	Created:	11/3/00 -	Erik Novales
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a disruptor blast.
#	
#	Args:	pTorp - the "torpedo", ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):

	kOuterShellColor = App.TGColorA()
	kOuterShellColor.SetRGBA(22.0 / 15.0, 5.0 / 15.0, 56.0 / 15.0, 1.000000)	
	kOuterCoreColor = App.TGColorA()
	kOuterCoreColor.SetRGBA(76.0 / 255.0, 86.0 / 255.0, 231.0 / 255.0, 1.000000)	
	pTorp.CreateDisruptorModel(kOuterShellColor,kOuterCoreColor, 3.0, 0.1) 	

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.1)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )
	pTorp.SetLifetime( GetLifetime() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.SHUTTLEDISRUPTOR)

	return(0)

def GetLaunchSpeed():
	return(20.0)

def GetLaunchSound():
	return("SFRD_TosPulse")

def GetPowerCost():
	return(10.0)

def GetName():
	return("SFRD_TosPulse")

def GetDamage():
	return 95.0

def GetGuidanceLifetime():
	return 0.0

def GetMaxAngularAccel():
	return 0.025

def GetLifetime():
	return 8.0
